com.icesoft.faces.component.outputchart

## Class AxisChart

- java.lang.Object
- - com.icesoft.faces.component.outputchart.AbstractChart
  - - com.icesoft.faces.component.outputchart.AxisChart

- All Implemented Interfaces:
    java.io.Serializable

      public class AxisChart
      extends AbstractChart

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.component.outputchart.AbstractChart

      `chart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisChart()`
    `AxisChart(javax.faces.component.UIComponent uiComponent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildChart(OutputChart outputChart)`
    `java.lang.String[]` | `getAsLabelsArray(java.lang.Object obj)`
    `java.lang.String[]` | `getAsXaxisLabelsArray(java.lang.Object obj)`
    `double[][]` | `getData(java.lang.Object obj)`
    `java.awt.Paint[]` | `getPaints(java.lang.Object obj)`

    - ### Methods inherited from class com.icesoft.faces.component.outputchart.AbstractChart

      `encode, getAs2dDoubleArray, getAsDoubleArray, getAsPaintArray, getAsShapeArray, getAsStringArray, getChart, getClickedImageMapArea, getColor, getGeneratedImageMapArea, getLegendProperties, getPaints, setChart, setClickedImageMapArea`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AxisChart

          public AxisChart()

    - #### AxisChart

          public AxisChart(javax.faces.component.UIComponent uiComponent)
                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

  - ### Method Detail

    - #### buildChart

          protected void buildChart(OutputChart outputChart)
                             throws java.lang.Throwable

      Specified by:
        `buildChart` in class `AbstractChart`
      Throws:
        `java.lang.Throwable`

    - #### getAsXaxisLabelsArray

          public java.lang.String[] getAsXaxisLabelsArray(java.lang.Object obj)

    - #### getAsLabelsArray

          public java.lang.String[] getAsLabelsArray(java.lang.Object obj)

    - #### getData

          public double[][] getData(java.lang.Object obj)

    - #### getPaints

          public java.awt.Paint[] getPaints(java.lang.Object obj)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.